/*=============== GOOGLE FONTS ===============*/
@import url("https://fonts.googleapis.com/css2?family=Montserrat+Alternates:wght@400;500&display=swap");

/* ⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀SHREK IS WATCHING DONT STEAL THE CODE 
              ⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⢀⣠⣄⣀⣀⡀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀
⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⣠⣾⠟⠋⠙⠋⠉⠙⢷⣦⡀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀
⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⣤⣶⣶⣄⠀⠀⠀⢠⣾⣿⣁⡀⠀⠀⠀⠀⠀⠀⢑⣿⡆⠀⠀⠀⢠⣾⣿⡄⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀
⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⢿⣿⣿⣾⣦⡀⢠⣾⡿⣛⣛⡻⢷⣄⠀⠀⣴⣾⣿⠛⠻⠦⣄⣴⣿⣿⡿⠃⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀
⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠈⠉⠉⠻⢿⣿⣿⣿⣿⣿⢿⣿⣿⣧⢼⣿⣿⣿⠿⣿⣇⢸⡟⠉⠁⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀
⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⣿⣿⠿⢿⣾⣿⣤⠿⠋⠀⠈⠻⢿⣿⣧⣿⠟⣬⡇⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀
⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⣼⣿⠃⠀⠀⢀⣴⣖⣶⠀⠀⠀⠀⠀⢀⡈⠀⠀⢘⣾⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀
⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⣿⣿⣶⣶⣶⠿⠿⠿⠿⠷⠶⠶⠶⠛⠋⠻⣦⣤⣀⡼⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀
⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⢿⡇⠀⣿⠻⢷⣤⣀⠀⠀⠀⠈⠀⠀⠀⣀⣈⡻⢿⣇⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀
⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⣠⣿⡿⠛⡏⠁⠂⠘⠭⢿⣒⣒⡒⠒⠒⠊⠉⠁⠀⠀⣿⠤⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀
⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⣰⣿⠟⠁⡄⠣⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⢀⡌⠙⠲⣤⣀⠠⣀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀
⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⢀⣴⣿⣏⠀⠀⢿⡄⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⡀⠋⠀⠀⠀⠀⠈⠙⠚⠓⠶⢤⣀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀
⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⣠⣴⣿⣿⣿⣿⣶⣀⡴⠛⢷⣄⣠⣄⡀⠀⠀⠀⠀⠀⠀⠀⠐⠁⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠈⠉⠳⢦⡀⠀⠀⠀⠀⠀⠀⠀
⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⢀⣀⣤⣤⠴⠾⣿⣿⣿⣿⣿⠟⠛⠿⣿⣦⣄⠙⢻⣿⣷⣦⡤⠤⠶⠒⠛⠁⣠⠏⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠹⣆⠀⠀⠀⠀⠀⠀
⠀⠀⠀⠀⠀⠀⠀⠀⢠⣴⡾⠏⠁⠀⠀⠀⠀⠰⠿⠟⠋⠀⠀⠀⠀⠈⠉⠛⠙⠋⠉⠉⠀⠀⠀⠀⠀⣀⡴⠃⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠈⢧⡀⠀⠀⠀⠀
⠀⠀⠀⠀⠀⠀⢀⣴⡿⠋⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠐⠒⠋⠁⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠈⢷⠀⠀⠀⠀
⠀⠀⠀⠀⠀⢀⣾⡿⠁⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⢉⡁⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠈⡇⠀⠀⠀
⠀⠀⠀⠀⢄⣾⡟⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⡀⢸⡁⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⣴⣧⢀⡀⠀⠀⠀⠀⠀⠀⠀⠀⣧⠀⠀⠀
⠀⠀⠀⠀⣼⣋⣧⣶⠀⠀⠀⢀⡀⣀⣦⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⢸⠃⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⢀⡤⣼⣿⣿⣟⣤⡀⠀⠀⠀⠀⠀⠀⠘⣦⠀⠀
⠀⠀⠀⠀⣿⡟⡇⣿⣤⣤⣴⣼⣿⣿⡇⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⢼⣷⣦⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠠⠏⣴⣿⣿⠋⠉⠉⠛⠋⡄⠂⠀⠀⠀⠀⠈⣇⠀
⠀⠀⠀⢀⣿⣷⣜⢿⣿⣿⣿⣿⣿⣿⣟⢿⣷⣦⡀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⣶⠾⣿⣿⣷⠀⠀⠀⠀⠀⠀⠀⠐⠖⣠⣶⣿⣟⣿⡇⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⢸⡀
⠀⠀⢀⣾⠋⠻⣿⡶⠍⠙⠛⢿⣿⣿⣿⣮⡙⠿⣿⣶⣤⣄⣀⣤⣤⣤⣤⡀⢀⣈⣁⣰⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⢸⡇
⠀⠀⣾⠇⠀⠀⠘⢷⡇⠀⠀⠀⢿⣿⣿⣿⣿⣶⣼⣿⣿⣟⣻⣿⣿⣿⣿⡿⠟⠛⠁⠀⠉⠻⢿⣿⣶⣤⣴⣶⣶⣤⣶⣿⣿⣿⣿⣿⣿⡆⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⢸⠇
⠀⢸⣿⠀⠀⠀⢠⡞⠀⠀⠀⠀⢾⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣟⣋⣠⣀⠀⠀⠀⠀⠀⠀⠀⢉⣛⢻⢿⣿⣿⣿⣿⣿⣿⣿⣿⣿⡇⠀⠀⢀⠀⠀⠀⠀⠀⠀⠀⠀⠀⣸⠀
⠀⢸⡏⠀⠀⠀⣼⠁⠀⠀⠀⠀⣼⣿⣿⣿⣿⣿⣿⣿⣿⣿⠛⠿⡿⠛⠉⠉⠉⠁⠀⢀⠀⠀⠀⠀⠀⠉⠰⠿⠿⠛⠻⠟⠉⠁⢩⢹⣿⣿⣄⠀⠸⣆⠀⠀⠀⠀⠀⠀⠀⠀⡇⠀
⠀⣿⢿⠀⠀⣰⠇⠀⠀⠀⠀⠀⣿⡟⢻⣿⣿⣿⣿⣿⡟⠻⢶⣤⠀⠀⠀⠀⠀⠀⠀⢸⣄⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⣸⣿⢿⣿⣿⣦⠀⢹⣆⠀⠀⠀⠀⠀⠀⠀⡇⠀
⢀⡟⠺⠀⢐⡿⠀⠀⠀⠀⢀⣼⣿⠁⠀⢻⣿⣿⣿⣿⣿⣷⣤⣿⣤⣤⣤⣤⣶⡄⠀⠀⣿⣇⣤⣤⣀⣀⡀⠀⠀⠀⠀⠀⠈⢿⣷⣿⡾⠁⢿⣿⣷⣿⣿⡷⠀⠀⠀⠀⠀⠀⡇⠀
⢸⡇⠀⠘⣿⡁⠀⠀⢀⣰⣿⣿⠃⠀⠀⠀⢻⣿⣽⠋⠛⢯⢿⣿⠛⠛⠋⠉⠙⠛⠲⣄⠉⠉⠁⠈⠉⠙⠛⠷⣦⣤⣤⣌⠀⠀⢸⡟⠁⠀⠀⠻⣿⣿⣿⣍⠀⠀⠀⠀⠀⠀⢧⠀
⢸⠁⠀⠀⢹⣷⣿⣿⣿⣿⣿⠋⠀⠀⠀⠀⢸⣿⢢⠀⠂⠀⣭⣿⡀⠀⠀⠀⠀⠀⠀⢸⡉⠀⠀⠀⠀⠀⠀⠀⠉⠀⠀⠀⠀⠀⡿⠀⠀⠀⠀⠀⢹⣿⡿⠉⠀⠀⠀⠀⠀⠀⡾⠀
⠀⠀⠀⠀⠀⠋⣿⣿⣿⡟⠁⠀⠀⠀⠀⠀⣼⣏⠈⠁⢰⠀⢨⣿⣧⣀⡀⣠⠀⠀⠀⣸⡁⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⢠⡇⠀⠀⠀⠀⠀⣸⡍⠁⠀⠀⠀⠀⠀⠀⣠⣷⠀
⠀⠀⠀⠀⠀⠀⠙⢿⣿⡇⠀⠀⠀⠀⠀⢠⣿⠟⠇⠀⠈⠑⢦⣿⠿⠿⠿⠿⠶⢀⢀⣸⠿⣶⣦⣠⡖⠀⠀⠀⠀⠀⠀⠀⢀⣿⠀⠀⠀⠀⠀⠀⡿⠀⠀⠀⠀⠀⠀⠀⠀⠘⢻⡆
⠀⠀⠀⠀⠀⠀⠀⠀⣼⡇⠀⠀⠀⠀⠀⣸⡗⠀⠀⠀⠀⠀⠀⠙⠷⡄⣀⠀⠀⠻⠟⠃⠀⠀⠀⠀⠤⠀⠀⠀⠀⠀⠀⠀⣾⡟⠀⠀⠀⠀⠀⢰⡇⠀⠀⠀⠀⠀⠀⠀⠀⠀⢸⡇
⠀⠀⠀⠀⠀⠀⠀⠀⠹⠇⠀⠀⠀⠀⠀⣸⣿⠠⢰⣶⠄⠀⠀⠀⢀⣀⠀⢠⠀⠀⢠⡆⠀⠀⠀⠀⠀⠀⠀⠀⠀⢀⣀⣙⣿⠁⠀⠀⠀⠀⠀⣸⣷⠀⠀⠀⠀⠀⠀⠀⠀⠀⣾⠇ */

@font-face {
  font-family: old;
  src: url(fonts/canterbury.ttf);
}

@font-face {
  font-family:nerd ;
  src: url(fonts/nerd.ttf);
}
@font-face {
  font-family:bebas ;
  src: url(fonts/bebas.ttf);
}
@font-face {
  font-family:rubik ;
  src: url(fonts/rubik.ttf);
}
@font-face {
  font-family:coco ;
  src: url(fonts/coco.ttf);
}
@font-face {
  font-family:f1 ;
  src: url(fonts/f1.ttf);
}
@font-face {
  font-family:clouts ;
  src: url(fonts/clouts.ttf);
}
@font-face {
  font-family:teko ;
  src: url(fonts/teko.ttf);
}

@font-face {
font-family:workspace ;
src: url(fonts/workspace.ttf);
}

@font-face {
font-family:identify ;
src: url(fonts/identify.ttf);
}
@font-face {
font-family:test ;
src: url(fonts/test1.ttf);
}

@font-face {
  font-family: blazed ;
  src: url(fonts/Blazed.ttf);
}

@font-face {
  font-family: fire ;
  src: url(fonts/fire.ttf);
}

@font-face {
  font-family: boldy ;
  src: url(fonts/bold.ttf);
}

@font-face {
  font-family: heavy ;
  src: url(fonts/Heavitas.ttf);
}

@font-face {
  font-family: cursive-bold ;
  src: url(fonts/CursiveSans-Bold.ttf);
}

@font-face {
  font-family: cursive-book ;
  src: url(fonts/CursiveSans-Book.ttf);
}

@font-face {
  font-family: designer ;
  src: url(fonts/designer.ttf);
}

@font-face {
  font-family:  built;
  src: url(fonts/built.ttf)
}

@font-face {
  font-family: akira ;
  src: url(fonts/akira.ttf);
}

@font-face {
  font-family: lemon ;
  src: url(fonts/lemon.ttf);
}

@font-face {
  font-family: nexa ;
  src: url(fonts/nexa.ttf);
}

@font-face {
  font-family: nuth ;
  src: url(fonts/muth.ttf);
}

@font-face{
  font-family: urban;
  src: url(fonts/urban.ttf)
}

@keyframes textChange {
  0% { opacity: 1; content: 'ASSEMBLY OF NATIONS';}
  40% { opacity: 1; content: '5th Edition';}
  70% { opacity: 1; content: 'ASSEMBLY OF NATIONS'; }
  100% { opacity: 1; content: 'ASSEMBLY OF NATIONS'; }
}

@keyframes textChange2 {
  0% { opacity: 1; content: "CALCUTTA BOYS' SCHOOL"; font-family: akira;}
  30% { opacity: 1; content: "CALCUTTA BOYS' SCHOOL"; font-family: akira;}
  55% { opacity: 1; content: 'PRESENTS'; font-family: akira;}
  60% { opacity: 1; content: 'ASSEMBLY OF NATIONS'; font-family: akira;}
  70% { opacity: 1; content: 'ASSEMBLY OF NATIONS'; font-family: teko; color: #ffffff;}
  80% { opacity: 1; content: 'ASSEMBLY OF NATIONS'; font-family: akira; color: #ffffff;}
  90% { opacity: 1; content: 'ASSEMBLY OF NATIONS'; font-family: teko; color: #ffffff;}
  100% { opacity: 1; content: 'ASSEMBLY OF NATIONS'; font-family: heavy; color: #ffffff;}
}

@keyframes slide{
  to{
    transform: translateY(-100%);
  }
}


#load {
  height: 100vh;
  width: 100vw;
  background: #101010 url(loader.svg) no-repeat center center;
  background-size: 10%;
  position: fixed;
  z-index: 1000;

}

#load-landing {
  height: 100vh;
  width: 100vw;
  background: #101010;
  position: fixed;
  left: 0;
  top: 0;
  z-index: 1000;
  display: grid;
  place-items: center;
  animation: slide 700ms 1 forwards;
  animation-delay: 2.6s;
}

#load-landing #landingText{
  font-size: 3rem;
}



#load-landing #landingText::after{
  font-family: akira;
  content: "ASSEMBLY OF NATIONS";
  animation: textChange2 3s 1;
  color: #ffffff;
}
/*=============== BASE ===============*/
* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

html {
  scroll-behavior: smooth;
  overflow-x: hidden;
}

body{
  overflow-x: hidden;
}

ul {
  list-style: none;
}

a {
  text-decoration: none;
}

/*=============== HEADER & NAV ===============*/
@keyframes typing {
  to {
    width: 96dvw;
  }
}

@keyframes fadein {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

.header {
  white-space: nowrap;
  overflow: hidden;
  font-family: "Montserrat Alternates", sans-serif;
  font-size: .9rem;
  position: fixed;
  left: 2dvw;
  width: 0dvw;
  top: 5px;
  background: transparent;
  z-index: 100;
  padding: 0 3dvw;
  border-radius: 2rem;
  border-bottom-right-radius: 2rem;
  animation: breathing 4s infinite alternate;
  animation:  typing 1.7s forwards;
  animation-delay: 1.5s;
}

.active_nav {
  background: rgba(0,0,0,0.9);
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
}


@keyframes breathing {
  0% { background-position: 0% 50%; }
  50% { background-position: 100% 50%; }
  100% { background-position: 0% 50%; }
}

@keyframes breathing {
  0% {
    box-shadow: 0 0 30px rgba(255, 26, 26, 0.5), 0 0 50px rgba(51, 0, 0, 0.5);
  }
  50% {
    box-shadow: 0 0 40px rgba(255, 26, 26, 0.7), 0 0 60px rgba(51, 0, 0, 0.7);
  }
  100% {
    box-shadow: 0 0 30px rgba(255, 26, 26, 0.5), 0 0 50px rgba(51, 0, 0, 0.5);
  }
}

.nav {
  position: relative;
  height: 3.5rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

@keyframes ani_logo {
  0%{ background: url(cbs_logo.png);
  background-size: 100% 100%; 
  height: 4rem;
  width: 4rem; }
  100% { background: url(logo.png);
  background-size: 100% 100%;
  height: 4rem;
  width: 4rem; }
}

.nav__logo {
  height: 4rem;
  width: 4rem;
  padding-right: 1rem;
  color: white;
  animation: fadein 2s ease-in;
  background: url(logo.png);
  animation: ani_logo 6s infinite alternate-reverse;
  
}

.nav__title{
  display: flex;
  align-items: center;
  font-family: old;
  font-size: 2rem;
  color: #db3333;
  font-weight: 600;
}

.nav__toggle {
  display: flex;
  color: white;
  font-size: 1.5rem;
  cursor: pointer;
}
.nav__close{
  display: flex;
  font-size: 1.5rem;
  cursor: pointer;
  color: white;
}

/* Navigation for mobile devices */
@media screen and (max-width: 1150px) {
  @keyframes typing {
    from {
      width: 0;
    }
    to {
      width: 95dvw;
    }
  }

  #load-landing #landingText{
    font-family: akira;
    font-size: 1.2rem;
  }

  #load {
    background-size: 40%;
  }

  .header {
    width: 95dvw;
    left: 0;
    background-color: black;
    backdrop-filter: none;
    -webkit-backdrop-filter: none;
    padding: 0 1rem;
    animation: typing 1.5s;
    position: fixed;
    top: 10px;
    box-shadow: 0 0 30px rgba(255, 26, 26, 0.5), 0 0 50px rgba(51, 0, 0, 0.5);
    transition: background-color 0.4s;
    border-radius: 0rem;
    border-top-right-radius: 1rem;
    border-bottom-right-radius: 1rem;
  }


  .nav__menu {
    position: fixed;
    left: -100%;
    top: 0;
    background-color: black;
    width: 100%;
    height: 100%;
    padding: 6rem 3.5rem 4.5rem;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    transition: left .4s;
  }

  .nav__item {
    transform: translateX(-150px);
    visibility: hidden;
    transition: transform .4s ease-out, visibility .4s;
  }

  .nav__item:nth-child(1) {
    transition-delay: .1s;
  }
  .nav__item:nth-child(2) {
    transition-delay: .15s;
  }
  .nav__item:nth-child(3) {
    transition-delay: .2s;
  }
  .nav__item:nth-child(4) {
    transition-delay: .25s;
  }
  .nav__item:nth-child(5) {
    transition-delay: .3s;
  }
  .nav__item:nth-child(6) {
    transition-delay: .35s;
  }
  .nav__item:nth-child(7) {
    transition-delay: .4s;
  }

  .nav__title{
    display: flex;
    align-items: center;
    font-family: old;
    font-size: 1.3rem;
    color: white;
    padding-left: 0;
    font-weight: 400;
  }

  @keyframes ani_logo {
    0%{ background: url(cbs_logo.png);
    background-size: 100% 100%; 
    height: 3rem;
    width: 3rem; }
    100% { background: url(logo.png);
    background-size: 100% 100%;
    height: 3rem;
    width: 3rem; }
  }

  .nav__logo {
    height: 3rem;
    padding-right: .8rem;
  }
}

.nav__list, 
.nav__social {
  display: flex;
}

.nav__list {
  padding-left: 2rem;
  flex-direction: column;
  row-gap: 2rem;
}

.nav__link {
  position: relative;
  color: white;
  font-size: 1.5rem;
  font-weight: 500;
  display: inline-flex;
  align-items: center;
  transition: opacity .4s;
}

.nav__link i {
  font-size: 2rem;
  position: absolute;
  opacity: 0;
  visibility: hidden;
  transition: opacity .4s, visibility .4s;
}

.nav__link span {
  position: relative;
  transition: margin .4s;
}

.nav__link span::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -6px;
  width: 0;
  height: 1.5px;
  background-color: white;
  transition: width .4s ease-out;
}


/* Animation link on hover */
.nav__link:hover span {
  margin-left: 2.5rem;
}
.nav__link:hover i {
  opacity: 1;
  visibility: visible;
}

.nav__link:hover span::after {
  width: 100%;
}

/* Sibling fade animation */
.nav__list:has(.nav__link:hover) .nav__link:not(:hover) {
  opacity: .4;
}

.nav__close {
  position: absolute;
  top: 1rem;
  right: 1.5rem;
}

.nav__social {
  column-gap: 1rem;
}

.nav__social-link {
  color: white;
  font-size: 2rem;
  transition: transform .4s;
}

.nav__social-link:hover {
  transform: translateY(-.25rem);
}

/* Show menu */
.show-menu {
  left: 0;
}

/* Animation link when displaying menu */
.show-menu .nav__item {
  visibility: visible;
  transform: translateX(0);
}

/*=============== BREAKPOINTS ===============*/
/* For large devices */
@media screen and (min-width: 1150px) {
  .container {
    margin-inline: auto;
  }

  .nav {
    height: 5.5rem;
  }

  .nav__toggle, 
  .nav__close {
    display: none;
  }

  .nav__link {
    font-size: .9rem;
    color: white;
  }

  .nav__link i {
    font-size: 1.5rem;
    color: white;
  }

  .nav__list {
    flex-direction: row;
    column-gap: 2rem;
  }

  .nav__menu {
    display: flex;
    align-items: center;
    column-gap: 3.5rem;
  }

  .nav__social-link {
    color: white;
    font-size: 2rem;
    transition: transform .4s;
  }

  .nav__link span::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: -6px;
    width: 0;
    height: 2px;
    background-color: white;
    transition: width .4s ease-out;
  }
}
/*========================================== HOME=========================================== */

.home{
  background: linear-gradient(rgba(0,0,0,0.8),rgba(0,0,0,0.8)), url(assets/bg.jpeg);
  background-attachment: fixed;
  background-size: cover;
}

/* HOME1 */
#home1{
  color: white;
  height: 100vh;
  width: 100dvw;
  padding: 0 20dvw;
  background-size: cover;
  display: flex;
  align-items: center;
  justify-content: space-between;
  background-position: center;
}

#home1 .home1__title{
  padding-top: 5%;
}

#home1 .home1__title img{
  width: 0;
}

#home1 .home1__title h1{
font-size: 3.8rem;
font-family: old;
color: white;
}

#home1 .home1__title h3{
  font-family: bebas;
  font-size: 4.2rem;
  color: #D4AF37;
  font-weight: 700;
  text-align: center;
  }
  
#home1 .home1__title h3::after {
    content: 'ASSEMBLY OF NATIONS'; /* Initial text */
    animation: textChange 6s infinite linear; /* Duration and loop */
    opacity: 0;
    transition: ease-in-out;
}

#home1 .home1__title h4{
  padding-top: .5rem;
  font-size: 1.5rem;
  font-family: "Montserrat Alternates", sans-serif;
  text-align: center;
}

#home1 .home1__title h5{
  padding-top: .5rem;
  font-size: 2rem;
  font-family: built;
  text-align: center;
}

#home1 img{
  width: 15dvw;
}

/* HOME 2 */

#home2 {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  height: 100vh;
  width: 100dvw;
  position: relative;
}

#home2 h1{
  color: #ad2d2d ;
 font-family: akira;
  font-weight: 1000;
  font-size: 5rem;
}


.countdown{
color: white;
font-family: heavy;
font-size: 1.5rem;
}

/*========================================== HOME FOR PHONE =========================================== */
@media screen and (max-width: 1150px){
  
  .home{
    background: linear-gradient(rgba(0,0,0,0.85),rgba(0,0,0,0.85)), url(assets/bg.jpeg);
    background-attachment: fixed;
    background-size: cover;
    background-position: center;
  }

  #home1{
    padding: 0;
    justify-content: center;
  }
  
  #home1 .home1__title{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding-left: 0;
  }

    #home1 .home1__title img{
      width: 30dvw;
      margin-bottom: 1rem;
    }

    #home1 .home1__title h1{
      font-size: 2.5rem;
      text-align: center;
    }

    #home1 .home1__title h3{
      font-size: 2.8rem;
      text-align: center;
    }

    #home1 .home1__title h4{
      font-size: .9rem;
      width: 80%;
      text-align: center;
    }

    #home1 img{
      width: 0;
    }
    
    #home2 h1{
      font-size: 2rem;
    }
    
    .countdown{
      font-size: 1rem;
    }
    
    #home2 {
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;
      text-align: center;
      width: 100dvw;
      position: relative;
    }
}

/* ========================UPLOAD========================== */
#upload{
  width: 100dvw;
  height: 100svh;
  display: flex;
  justify-content: center;
  background-color: #101010;
  align-items: end;
}

#upload iframe{
  width: 100%;
  height: calc(100vh - 3rem);
  border: 0;
}

/* ========================UPLOAD MAIN========================== */
  .upload-main{
    min-height: 100svh;
    width: 100dvw;
    background: url(textures/secbg4.jpg);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding-top: 4rem;
  }  
  
  .upload-main h1{
    color: #bf952c;
    font-family: coco;
    font-size: 1.5rem;
  }

  .upload-main-kid{
    padding-top: 2rem;
    height: 70%;
    width: 90%;
    display: flex;
    justify-content: space-between;
  }

  .upload-main-kid a img{
    width: 23dvw;
  }

  .upload-main-kid a img{
    border-radius: 3rem; /* Smooth rounded corners */
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.5); /* Shadow for depth */
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    transform-style: preserve-3d;
}

  .upload-main-kid a img:hover{
    transform: perspective(1000px) rotateX(8deg) rotateY(8deg) scale(1.08);
    box-shadow: 0 30px 60px rgba(0, 0, 0, 0.8);
  }

  @media screen and (max-width: 1150px){
    .upload-main{
      padding-top: 3rem;
    }  

    .upload-main h1{
      font-size: 1rem;
    }

    .upload-main-kid{
      padding-top: 1rem;
      height: 70%;
      width: 90%;
      display: flex;
      justify-content: none;
      align-items: center;
      flex-direction: column;
    }
  
    .upload-main-kid a img{
      width: auto;
      height: 25vh;
    }
  }
/* ========================FLUID========================== */
#container-fluid {
  margin: 0;
  padding: 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
}

#container-fluid {
  margin: 0;
  padding: 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
}
